Subject: Re: Glaucoma...

From: [email-masked] (Elizabeth Toews)
Date: Thu, 20 Jul 95 07:26:02 -0700

Hello Glacier Gruff, I have a nutritional program for glaucoma by a Joan
Vandergriff N.D. she states that recent studies show that at least 10,000
mg of Vit C reduces the pressure.  I have no way of contacting Joan so I
thought perhaps you could help.  Do you think this amount would be
excessive?  I am assuming that this would be a daily amount and divided up
through out the day.
Thanks in advance for your help.

Best Health Wishes
--

Elizabeth Toews
Distributor of Nature's Sunshine Products, Quality Nutritional Supplements
For Information on the Company That Retains The Largest Number of
Professional Health Care Practitioners Email [email-masked]